Loading...
Searching...
No Matches
caf::is_error_code_enum< T > Struct Template Reference

Customization point for enabling conversion from an enum type to an error or error_code. More...

`#include <is_error_code_enum.hpp>`

## Static Public Attributes

static constexpr bool | value = false

## Related Symbols

(Note that these are not member symbols.)
template<class T>
constexpr bool | is_error_code_enum_v = is_error_code_enum<T>::value

## Detailed Description

template<class T>
struct caf::is_error_code_enum< T >

Customization point for enabling conversion from an enum type to an error or error_code.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/is_error_code_enum.hpp